Skip to main content
GET
/
document
/
{id}
/
cURL
curl --request GET \
  --url https://api.example.com/document/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "title": "<string>",
  "processed": true,
  "approved": true,
  "sent": true,
  "created_at": "2023-11-07T05:31:56Z",
  "file": "<string>",
  "user": {
    "id": 123,
    "username": "<string>",
    "email": "jsmith@example.com"
  },
  "tags": [
    {}
  ],
  "archive": true,
  "archive_reason": "<string>",
  "fleet": {
    "id": 123,
    "region_details": [
      {
        "id": 123,
        "title": "<string>"
      }
    ],
    "title": "<string>",
    "is_active": true,
    "warning_threshold_per_vehicle": "<string>",
    "deactivation_threshold_per_vehicle": "<string>",
    "client": "<string>",
    "onboarding_vehicle_order": 123
  },
  "vehicle_status": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

A unique integer value identifying this document.

Response

id
integer
required
read-only
title
string
required
type
enum<string>
required
Available options:
TOLL,
VIOLATION,
UNKNOWN
processed
boolean
approved
boolean
sent
boolean
status
enum<string>

Derived from the processed and sent flags.

Available options:
Processing,
Uploaded,
Processed
created_at
string<date-time>
read-only
file
string

Storage path of the PDF.

user
object
tags
object[]
archive
boolean
archive_reason
string | null
fleet
object | null
vehicle_status
string | null

Vehicle status extracted from the document, when available.